Package oracle.jdbc

## Interface OracleTypeMetaData.Array

All Superinterfaces:
  `OracleTypeMetaData`

All Known Implementing Classes:
  `ArrayDescriptor`

Enclosing interface:
  OracleTypeMetaData

    public static interface OracleTypeMetaData.Array
    extends OracleTypeMetaData

This nested interfacet defines additional methods for array types

### Nested Class Summary

### Nested classes/interfaces inherited from interface oracle.jdbc.OracleTypeMetaData

`OracleTypeMetaData.Array, OracleTypeMetaData.ArrayStorage, OracleTypeMetaData.Kind, OracleTypeMetaData.Opaque, OracleTypeMetaData.Struct`

### Method Summary

All Methods Instance Methods Abstract Methods
`OracleTypeMetaData.ArrayStorage` `getArrayStorage()` Return the database type of the array.
`String` `getBaseName()` In case the elements are named types the fully qualified name of their type.Otherwise, return type name used by the database
`int` `getBaseType()` Return element's type code.
`long` `getMaxLength()` Return the maximun number of elements this array object can hold.

### Methods inherited from interface oracle.jdbc.OracleTypeMetaData

`getKind, getName, getSchemaName, getSQLName, getTypeCode, getTypeCodeName`

### Method Detail

#### getBaseType

    int getBaseType()
             throws SQLException

Return element's type code.

Returns:
  the type code of elements of the array
Throws:
  `SQLException`

#### getBaseName

    String getBaseName()
                throws SQLException

In case the elements are named types the fully qualified name of their type.Otherwise, return type name used by the database

Returns:
  the name of the base type.
Throws:
  `SQLException` - if the element's type is not named.

#### getArrayStorage

    OracleTypeMetaData.ArrayStorage getArrayStorage()
                                             throws SQLException

Return the database type of the array. The possible return values ArrayStorage.VARRAY and ArrayStorage.NESTED_TABLE.

Returns:
  how the array is stored in the database
Throws:
  `SQLException`

#### getMaxLength

    long getMaxLength()
               throws SQLException

Return the maximun number of elements this array object can hold.

Returns:
  the maximum array size; return 0 if no limit.
Throws:
  `SQLException`